package com.hys.app.service.kuaidiniao;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hys.app.framework.database.BaseQueryParam;
import com.hys.app.service.kuaidiniao.entity.*;

import java.util.Map;

public interface KuaiDiNiaoService {


    /**
     * 快递鸟回调
     *
     * @param returnBackBase
     * @return
     */
    resReturnBackBase kdnReturnBack(ReturnBackInstant returnBackBase);


    /**
     * 快递鸟下单获取快递单号
     *
     * @param preOrderModel
     */
    String kdShip(PreOrderModelDTO preOrderModel, Long orderId, AddressDTO addressDTO);

    /**
     * 快递鸟创建门店
     *
     * @param createStoreModel
     */
    void createStore(CreateStoreModel createStoreModel, String constants);

    /**
     * 获取门店列表
     *
     * @param baseQueryParam
     * @return
     */
    Page<CreateStoreModel> getStoreList(BaseQueryParam baseQueryParam);

    /**
     * @param createStoreModel
     */
    void selectAudit(CreateStoreModel createStoreModel);

    /**
     * 根据物流单号查询快递状态
     *
     * @param
     * @return
     */
    void queryLogistics(LogisyicsTopic logisyicsTopic);

    Boolean kdnReturnBackLogistics(Map map);

}
